#ifndef TEST_DAMAGE_TYPES_H
#define TEST_DAMAGE_TYPES_H
#include <cpptest.h>
#include <game_share/damage_types.h>
class EDamageTypeTest : public Test::Suite{
public:
  EDamageTypeTest(){
   TEST_ADD(EDamageTypeTest::testgetAssociatedResistanceType);
 }

 void testgetAssociatedResistanceType(){
  TEST_ASSERT(DMGTYPE::getAssociatedResistanceType(DMGTYPE::ROT)==RESISTANCE_TYPE::PrimaryRoot);
  TEST_ASSERT(DMGTYPE::getAssociatedResistanceType(DMGTYPE::SHOCK)==RESISTANCE_TYPE::Lacustre);
  TEST_ASSERT(DMGTYPE::getAssociatedResistanceType(DMGTYPE::ELECTRICITY)==RESISTANCE_TYPE::Jungle);
  TEST_ASSERT(DMGTYPE::getAssociatedResistanceType(DMGTYPE::FIRE)==RESISTANCE_TYPE::Desert);
  TEST_ASSERT(DMGTYPE::getAssociatedResistanceType(DMGTYPE::POISON)==RESISTANCE_TYPE::Forest);
       
 }

};
#endif