#ifndef TEST_ITEM_TYPE_H
#define TEST_ITEM_TYPE_H
#include <cpptest.h>
#include <game_share/item_type.h>
class TItemTypeTest : public Test::Suite{
public:
 TItemTypeTest(){
  TEST_ADD(TItemTypeTest::testToString);
  TEST_ADD(TItemTypeTest::testToTItemType);
 }
void testToString(){
  TEST_ASSERT(ITEM_TYPE::toString(ITEM_TYPE::MACE)=="MACE");
  TEST_ASSERT(ITEM_TYPE::toString(ITEM_TYPE::LAUNCHER)=="LAUNCHER");
  TEST_ASSERT(ITEM_TYPE::toString(ITEM_TYPE::AUTOLAUNCH_AMMO)=="AUTOLAUNCH_AMMO");
  TEST_ASSERT(ITEM_TYPE::toString(ITEM_TYPE::BUCKLER)=="BUCKLER");
  TEST_ASSERT(ITEM_TYPE::toString(ITEM_TYPE::PENDANT)=="PENDANT");
  TEST_ASSERT(ITEM_TYPE::toString(ITEM_TYPE::MEDIUM_PANTS)=="MEDIUM_PANTS");
  TEST_ASSERT(ITEM_TYPE::toString(ITEM_TYPE::HEAVY_GLOVES)=="HEAVY_GLOVES");
  TEST_ASSERT(ITEM_TYPE::toString(ITEM_TYPE::HEAVY_HELMET)=="HEAVY_HELMET");
  TEST_ASSERT(ITEM_TYPE::toString(ITEM_TYPE::CAMPSFIRE)=="CAMPSFIRE");

       
 }
void testToTItemType(){
  TEST_ASSERT(ITEM_TYPE::stringToItemType("HEAVY_VEST")==ITEM_TYPE::HEAVY_VEST);
  TEST_ASSERT(ITEM_TYPE::stringToItemType("AmmoTool")==ITEM_TYPE::AmmoTool);
  TEST_ASSERT(ITEM_TYPE::stringToItemType("MEKTOUB_PACKER_TICKET")==ITEM_TYPE::MEKTOUB_PACKER_TICKET);
  TEST_ASSERT(ITEM_TYPE::stringToItemType("MAGICIAN_STAFF")==ITEM_TYPE::MAGICIAN_STAFF);
  TEST_ASSERT(ITEM_TYPE::stringToItemType("HAIRCOLOR_FEMALE")==ITEM_TYPE::HAIRCOLOR_FEMALE);
  TEST_ASSERT(ITEM_TYPE::stringToItemType("HAIR_MALE")==ITEM_TYPE::HAIR_MALE);
  TEST_ASSERT(ITEM_TYPE::stringToItemType("LAUNCHER")==ITEM_TYPE::LAUNCHER);
  TEST_ASSERT(ITEM_TYPE::stringToItemType("JewelryTool")==ITEM_TYPE::JewelryTool);


 }
};
#endif