#ifndef TEST_RANGE_WEAPON_TYPE_H
#define TEST_RANGE_WEAPON_TYPE_H
#include <cpptest.h>
#include <game_share/range_weapon_type.h>
class TRangeWeaponTypeTest : public Test::Suite{
public:
 TRangeWeaponTypeTest(){
  TEST_ADD(TRangeWeaponTypeTest::testToString);
  TEST_ADD(TRangeWeaponTypeTest::testStringToRangeWeaponType);
 }
void testToString(){
  TEST_ASSERT(RANGE_WEAPON_TYPE::toString(RANGE_WEAPON_TYPE::Gatlin)=="Gatlin");
  TEST_ASSERT(RANGE_WEAPON_TYPE::toString(RANGE_WEAPON_TYPE::Missile)=="Missile");
  TEST_ASSERT(RANGE_WEAPON_TYPE::toString(RANGE_WEAPON_TYPE::RangeWeaponTypeCount)=="RangeWeaponTypeCount");
       
 }
void testStringToRangeWeaponType(){
  TEST_ASSERT(RANGE_WEAPON_TYPE::stringToRangeWeaponType("Gatlin")==RANGE_WEAPON_TYPE::Gatlin);
  TEST_ASSERT(RANGE_WEAPON_TYPE::stringToRangeWeaponType("Missile")==RANGE_WEAPON_TYPE::Missile);
  TEST_ASSERT(RANGE_WEAPON_TYPE::stringToRangeWeaponType("RangeWeaponTypeCount")==RANGE_WEAPON_TYPE::RangeWeaponTypeCount);

 }
};
#endif