 
#ifndef TEST_ROLES_H
#define TEST_ROLES_H
#include <cpptest.h>
#include <game_share/roles.h>
#include <nel/misc/ucstring.h>
class RolesTest : public Test::Suite{
public:
 RolesTest(){
  TEST_ADD(RolesTest::testToString);
  TEST_ADD(RolesTest::testToRole);
 }
void testToString(){
  TEST_ASSERT(ROLES::toString(ROLES::fighter)=="Fighter");
  TEST_ASSERT(ROLES::toString(ROLES::caster)=="Caster");
  TEST_ASSERT(ROLES::toString(ROLES::crafter)=="Crafter");
  TEST_ASSERT(ROLES::toString(ROLES::harvester)=="Harvester");
       
 }
void testToRole(){
  TEST_ASSERT(ROLES::toRoleId("Caster")==ROLES::caster);
  TEST_ASSERT(ROLES::toRoleId("Fighter")==ROLES::fighter);
  TEST_ASSERT(ROLES::toRoleId("Crafter")==ROLES::crafter);
  TEST_ASSERT(ROLES::toRoleId("Harvester")==ROLES::harvester);

 }
};
#endif