#ifndef TEST_ECOSYSTEM_H
#define TEST_ECOSYSTEM_H
#include <cpptest.h>
#include <game_share/ecosystem.h>
class ECOSystemTest : public Test::Suite{
public:
 ECOSystemTest(){
  TEST_ADD(ECOSystemTest::testToString);
  TEST_ADD(ECOSystemTest::testToECOSystem);
 }
void testToString(){
  TEST_ASSERT(ECOSYSTEM::toString(ECOSYSTEM::desert)=="Desert");
  TEST_ASSERT(ECOSYSTEM::toString(ECOSYSTEM::common_ecosystem)=="CommonEcosystem");
  TEST_ASSERT(ECOSYSTEM::toString(ECOSYSTEM::forest)=="Forest");
  TEST_ASSERT(ECOSYSTEM::toString(ECOSYSTEM::lacustre)=="Lacustre");
  TEST_ASSERT(ECOSYSTEM::toString(ECOSYSTEM::jungle)=="Jungle");
       
 }
void testToECOSystem(){
  TEST_ASSERT(ECOSYSTEM::stringToEcosystem("Desert")==ECOSYSTEM::desert);
  TEST_ASSERT(ECOSYSTEM::stringToEcosystem("CommonEcosystem")==ECOSYSTEM::common_ecosystem);
  TEST_ASSERT(ECOSYSTEM::stringToEcosystem("Forest")==ECOSYSTEM::forest);
  TEST_ASSERT(ECOSYSTEM::stringToEcosystem("Lacustre")==ECOSYSTEM::lacustre);
  TEST_ASSERT(ECOSYSTEM::stringToEcosystem("Jungle")==ECOSYSTEM::jungle);

 }
};
#endif