#ifndef TEST_SCORES_H
#define TEST_SCORES_H
#include <cpptest.h>
#include <game_share/scores.h>
class ScoreTest : public Test::Suite{
public:
 ScoreTest(){
  TEST_ADD(ScoreTest::testToString);
  TEST_ADD(ScoreTest::testToScore);
 }
void testToString(){
  TEST_ASSERT(SCORES::toString(SCORES::stamina)=="Stamina");
  TEST_ASSERT(SCORES::toString(SCORES::focus)=="Focus");
  TEST_ASSERT(SCORES::toString(SCORES::sap)=="Sap");
       
 }
void testToScore(){
  TEST_ASSERT(SCORES::toScore("stamina")==SCORES::stamina);
  TEST_ASSERT(SCORES::toScore("focus")==SCORES::focus);
  TEST_ASSERT(SCORES::toScore("sap")==SCORES::sap);

 }
};
#endif 
